function writeactualstimulibatchfile
%   

%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.                                                                      


global stimnummercell gruppcell selectedstatus cellstr dim anzahldims anzahlstimuli paramat filenamecell...
    celladressmat groessenreqinds absolutreqs kleinerreqs groesserreqs gleichreqs
%stimulibatchfile

   [batchfilename,batchfilepath]=uiputfile('*.m','Bitte benennen Sie das batchfile:');
   if isequal(batchfilename,0)|isequal(batchfilepath,0)
        msgbox('Invalid Filename!','Fehler')
        return
	end
   
   [dummy,targetdirectory]=uigetfile('*.*','Bitte wählen Sie ein File aus der Stimuli-directory:');
    if isequal(dummy,0)|isequal(targetdirectory,0)
        msgbox('Invalid Filename!','Fehler')
        return
	end
    
   batchfile=[batchfilepath,batchfilename];
   if isempty(findstr('.m',batchfile))
       batchfile=[batchfile,'.m'];
   end
   fid = fopen(batchfile,'wt');
   
   for z=1:length(stimnummercell)
       if ~isempty(stimnummercell{z})
           for q=1:length(stimnummercell{z})
               fprintf(fid,'%s',[targetdirectory,filenamecell{stimnummercell{z}(q)}]);
               fprintf(fid,'\n');
           end
       end
   end
   fclose(fid);

   return
